> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Validate a bulk action

POST https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/bulk_actions/validate
Content-Type: application/vnd.contentful.management.v1+json

Validates entities before publishing. Requires publish permissions on each entity; limited by the number of active bulk actions.

Reference: https://contentful.com/developers/docs/references/content-management-api/bulk-actions/validate-a-bulk-action

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space as a string
- `environment_id` (string, required) — ID of the environment as a string, falls back to `master` if not specified.

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "entities": {
    "items": [
      {
        "sys": {
          "id": "<entity_id>",
          "linkType": "<Entry|Asset>",
          "type": "Link"
        }
      }
    ],
    "sys": {
      "type": "Array"
    }
  }
}
```

**Response**

```json
{
  "action": "<action>",
  "error": {
    "sys": {
      "id": "<error_type>",
      "type": "Error"
    }
  },
  "payload": {
    "entities": {
      "items": [
        {
          "sys": {
            "id": "<entity_id>",
            "linkType": "<Entry|Asset>",
            "type": "Link"
          }
        }
      ],
      "sys": {
        "type": "Array"
      }
    }
  },
  "sys": {
    "createdAt": "2025-12-07T08:21:08.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "type": "Link"
      }
    },
    "id": "<bulk_action_id>",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "type": "Link"
      }
    },
    "status": "<status>",
    "type": "BulkAction",
    "updatedAt": "2025-12-07T08:21:08.000Z"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.createValidateBulkAction({
  entities: {
    sys: { type: 'Array' },
    items: [
      { sys: { linkType: 'Entry', type: 'Link', id: '<entry_id>' } },
      { sys: { linkType: 'Asset', type: 'Link', id: '<asset_id>' } },
    ],
  },
}))
.then((bulkActionInProgress) => bulkActionInProgress.waitProcessing())
.then((bulkActionCompleted) => console.log(bulkActionCompleted))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const bulkAction = await client.bulkAction.validate(
  {
    spaceId: '<space_id>',
    environmentId: '<environment_id>',
  },
  {
    entities: {
      sys: { type: 'Array' },
      items: [
        { sys: { linkType: 'Entry', type: 'Link', id: '<entry_id>' } },
        { sys: { linkType: 'Asset', type: 'Link', id: '<asset_id>' } },
      ],
    },
  }
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```